summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Bojan Popovic <bocke@slackware-srbija.org>2015-02-01 01:09:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-01 01:09:52 +0700
commitf3ad2270e7fdca15b277cba41723090d5c360f49 (patch)
tree2bc74bbb87f2c7ba6cd958d3c37eb858b2fe5b1d /desktop
parentdc81844ff9d70d514ed1eb7620e06203ca4ca6ee (diff)
downloadslackbuilds-f3ad2270e7fdca15b277cba41723090d5c360f49.tar.gz
slackbuilds-f3ad2270e7fdca15b277cba41723090d5c360f49.tar.xz
desktop/screenfetch: Update changelog.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/screenfetch/screenfetch.SlackBuild23
1 files changed, 17 insertions, 6 deletions
diff --git a/desktop/screenfetch/screenfetch.SlackBuild b/desktop/screenfetch/screenfetch.SlackBuild
index f9de94932b..aa63cd1f2e 100644
--- a/desktop/screenfetch/screenfetch.SlackBuild
+++ b/desktop/screenfetch/screenfetch.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Slackware build script for Screenfetch
-# Copyright 2012, 2013, 2014 Bojan Popovic, Belgrade, Serbia, <bocke@slackware-srbija.org>
+# Copyright 2012, 2013, 2014, 2015 Bojan Popovic, Belgrade, Serbia, <bocke@slackware-srbija.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,17 +21,28 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#########################################################################
# ChangeLog
-# 1.0 23-DEC-2012 Added
+#
+# IMPORTANT: update this if you change this script!)
+#########################################################################
+#
+# 1.0 15-DEC-2012 Added (ver. 2.7.5)
# 1.1 08-JUL-2013 Updated to a new upstream ver. 3.0.5. Fixes Slack64
# detection.
# 1.2 06-DEC-2013 Updated to a new upstream ver. 3.2.2.
-# 1.3 24-JUL-2014 Updated to a new upstream ver. 3.5.0.
-# 1.4 07-DEC-2014 Updated to a new upstream ver. 3.6.5
+# 1.3 23-JUN-2014 Changed source URL (willysr).
+# 1.4 25-JUN-2014 Updated slack-desc (willysr).
+# 1.5 23-JUL-2014 Updated to a new upstream ver. 3.5.0.
+# 1.6 07-DEC-2014 Updated to a new upstream ver. 3.6.5
+# 1.7 30-JAN-2015 Added a source alternative (willysr).
+# 1.8 31-JAN-2015 Updated changelog. Synced changelog to git history.
+# Updated changelog formating. Updated tar extraction line
+# to eliminate (harmless but annoying) extraction errors.
PRGNAM=screenfetch
VERSION=${VERSION:-3.6.5}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
DIRNAME=screenFetch
@@ -50,7 +61,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz || tar xvf $CWD/$DIRNAME-$VERSION.tar.gz
+( tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz || tar xvf $CWD/$DIRNAME-$VERSION.tar.gz ) 2>/dev/null || ( echo "Error: Source archive extraction failed!" && exit 1)
cd $DIRNAME-$VERSION
chmod 644 $DOCS